Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 258)
+++ /trunk/contactcenter/js/cc.js	(revision 284)
@@ -2011,23 +2043,23 @@
 								var email = "";
 
-								for (var d = 0; d < contacts.length; d++) {																																					
+								for (var d = 0; d < contacts.length; d++) {
 									contact += contacts[d]['names_ordered']+ ",";
 									email += contacts[d]['connection_value']+",";
 								}
-								
+
 								Element(id+':cc_participantes').innerHTML = '<span title="Ver Participantes" id="' + id + ':ccQuickAdd" onmouseout="window.status=\'\';" onclick="ccListParticipants.showList(\''+ Element(id+':cc_id').value+'value\', \''+contact+'\', \''+email+'\', \''+title+'\', \''+id_group+'\');return true;" style="cursor: pointer; cursor: hand; z-index: 1"><img title="Ver participantes" align="center" src="templates/default/images/people-mini.png">&nbsp;&nbsp</span>';
-																					
+
 								break;
-							
+
 							case 'cc_id':
 								var id_contact = data[3][pos][k];
 								Element(id+':'+data[2][k]).value = data[3][pos][k];
-								 							
+
 								break;
-								
+
 						}
 					}
 				}
-	
+
 				if (--ncards == 0)
 				{
@@ -2035,5 +2067,5 @@
 					i = CC_max_cards[1];
 				}
-	
+
 				pos++;
 			}
@@ -2064,5 +2096,5 @@
 	};
 
-	Connector.newRequest('setMaxCards', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=set_n_cards&ncards=' + ncards, 'GET'); 
+	Connector.newRequest('setMaxCards', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=set_n_cards&ncards=' + ncards, 'GET');
 }
 
@@ -2070,5 +2102,5 @@
 {
 	var coord = new Array();
-	
+
 	//Element('cc_card_space').innerHTML = '';
 	//return;
@@ -2077,5 +2109,5 @@
 	//card_space_width = parseInt(is_ie ? document.body.offsetWidth : window.innerWidth) - parseInt(Element('cc_left').offsetWidth) - parseInt(CC_card_extra) - 40;
 	card_space_height = parseInt(Element('cc_card_space').offsetHeight) - parseInt(CC_card_extra);
-	
+
 	card_width = CC_card_image_width + CC_card_extra;
 	card_height = CC_card_image_height + CC_card_extra;
@@ -2083,5 +2115,5 @@
 	ncols = parseInt(card_space_width / card_width);
 	nlines = parseInt(card_space_height / card_height);
-	
+
 	coord[0] = ncols;
 	//coord[1] = nlines;
@@ -2097,8 +2129,8 @@
 {
 		if(type != 'groups') {
-		
+
 			html_card = '<td id="' + id + '" style="width: ' + CC_card_image_width + 'px; height: ' + CC_card_image_height + '">' +
 				'<div style="border: 0px solid #999; position: relative;">' +
-					'<img src="templates/default/images/card.png" border="0" width="' + CC_card_image_width +'" height="' + CC_card_image_height + '"i ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' + 
+					'<img src="templates/default/images/card.png" border="0" width="' + CC_card_image_width +'" height="' + CC_card_image_height + '"i ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' +
 						( ccTree.catalog_perms == 1 ?
 						'<span id="' + id + ':cc_icon_data" style="position: absolute; top: 35px; left: 222px; width: 18px; height: 18px; cursor: pointer; cursor: hand; z-index: 1"></span>':'') +
@@ -2106,21 +2138,25 @@
 						'<img title="'+Element('cc_msg_card_edit').value+'" id="' + id + ':cc_card_edit" style="position: absolute; top: 35px; left: 222px; width: 18px; height: 18px; cursor: pointer; cursor: hand; z-index: 1" onclick="editContact(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_edit\',0)" onmouseout="resizeIcon(\''+id+':cc_card_edit\',1)" src="templates/default/images/cc_card_edit.png">' +
 						'<img title="'+Element('cc_msg_card_remove').value+'" id="' + id + ':cc_card_remove" style="position: absolute; top: 78px; left: 223px; width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_remove\',0)" onmouseout="resizeIcon(\''+id+':cc_card_remove\',1)" src="templates/default/images/cc_x.png">' : '') +
-						'<img id="' + id + ':cc_photo" style="position: absolute; top: 15px; left: 7px;" src="" border="0" ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' + 
+						'<img id="' + id + ':cc_photo" style="position: absolute; top: 15px; left: 7px;" src="" border="0" ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' +
 						'<span id="' + id + ':cc_company" style="position: absolute; top: 5px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 14px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_company_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_company_full\').style.visibility=\'hidden\'"></span>' +
-						'<span style="cursor: pointer; cursor: hand; z-index: 1;position: absolute; top: 100px; left: 35px"  valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>'+ 
-						'<span id="' + id + ':cc_name" style="position: absolute; top: 30px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 10px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_name_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_name_full\').style.visibility=\'hidden\'"></span>' + 
-						'<span id="' + id + ':cc_title" style="position: absolute; top: 60px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 12px; text-align: center; height: 10px;"></span>' + 
-						'<span id="' + id + ':cc_phone" style="position: absolute; top: 90px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' + 
-						'<span id="' + id + ':cc_mail" style="position: absolute; top: 105px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' + 
-						'<span id="' + id + ':cc_alias" style="position: absolute; top: 95px; left: 10px; width: 60px; border: 0px solid #999; font-weight: normal; font-size: 9px; text-align: center; height: 10px;"></span>' + 
+						'<span style="cursor: pointer; cursor: hand; z-index: 1;position: absolute; top: 100px; left: 35px"  valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>'+
+						//Para exibir a matricula do empregado nos cartoes
+						'<span id="' + id + ':cc_empNumber" style="position: absolute; top: 15px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 9px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_name" style="position: absolute; top: 30px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 10px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_name_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_name_full\').style.visibility=\'hidden\'"></span>' +
+						'<span id="' + id + ':cc_title" style="position: absolute; top: 60px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 12px; text-align: center; height: 10px;"></span>' +
+						//Para exibir o setor/lotacao do empregado nos cartoes
+						'<span id="' + id + ':cc_department" style="position: absolute; top: 70px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_phone" style="position: absolute; top: 90px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_mail" style="position: absolute; top: 105px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_alias" style="position: absolute; top: 95px; left: 10px; width: 60px; border: 0px solid #999; font-weight: normal; font-size: 9px; text-align: center; height: 10px;"></span>' +
 					'<input id="' + id + ':cc_id" type="hidden">' +
 				'</div>' + '</td>';
-		
+
 		} else {
 			html_card = '<td id="' + id + '" style="width: ' + CC_card_image_width + 'px; height: ' + CC_card_image_height + '">' +
-            '<div style="border: 0px solid #999; position: relative;">' + 
+            '<div style="border: 0px solid #999; position: relative;">' +
 				'<img src="templates/default/images/card.png" border="0" width="' + CC_card_image_width +'" height="' + CC_card_image_height + '"i ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' +
 				'<img title="'+Element('cc_msg_group_edit').value+'" id="' + id + ':cc_card_edit" style="position: absolute; top: 35px; left: 222px; width: 18px; height: 18px; cursor: pointer; cursor: hand; z-index: 1" onclick="editGroup(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_edit\',0)" onmouseout="resizeIcon(\''+id+':cc_card_edit\',1)" src="templates/default/images/cc_card_edit.png">' +
-				'<img title="'+Element('cc_msg_group_remove').value+'" id="' + id + ':cc_card_remove" style="position: absolute; top: 78px; left: 223px; width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value,\'groups\');" onmouseover="resizeIcon(\''+id+':cc_card_remove\',0)" onmouseout="resizeIcon(\''+id+':cc_card_remove\',1)" src="templates/default/images/cc_x.png">' + 
+				'<img title="'+Element('cc_msg_group_remove').value+'" id="' + id + ':cc_card_remove" style="position: absolute; top: 78px; left: 223px; width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value,\'groups\');" onmouseover="resizeIcon(\''+id+':cc_card_remove\',0)" onmouseout="resizeIcon(\''+id+':cc_card_remove\',1)" src="templates/default/images/cc_x.png">' +
 				'<span id="' + id + ':cc_title" style="position: absolute; top: 30px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 10px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_name_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_name_full\').style.visibility=\'hidden\'"></span>' +
 				'<span id="' + id + ':cc_participantes" style="cursor: pointer; cursor: hand; z-index: 1;position: absolute; top: 15px; left: 15px"></span>' +
@@ -2129,5 +2165,5 @@
 			'</div>' + '</td>';
 		}
-	
+
 
 	return html_card;
@@ -2141,11 +2177,17 @@
 			else
 				bg = "this.style.background=\'#EEEEEE\'";
-						
+
 			if(type != 'groups') {
-			
-				html_card = '<tr  style="height:20px" id="' + id + '" onmouseout="'+bg+'" onmouseover="this.style.background=\'LIGHTYELLOW\'" bgcolor="EEEEEE"><td width="auto" style="font-weight: normal; font-size: 10px; text-align: left; height: 10px;">' +					
-					'<span valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span id="' + id + ':cc_name"></span></td>' +
+
+				html_card = '<tr  style="height:20px" id="' + id + '" onmouseout="'+bg+'" onmouseover="this.style.background=\'LIGHTYELLOW\'" bgcolor="EEEEEE">' +
+					//Para exibir a matricula do empregado na tabela
+					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_empNumber"></span></td>' +
+					'<td width="auto" style="font-weight: normal; font-size: 10px; text-align: left; height: 10px;"><span valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span id="' + id + ':cc_name"></span></td>' +
 					'<td style="solid #999; font-weight: normal; font-size: 10px; text-align: left; height: 10px"><span onMouseOver="this.title = \''+Element('cc_send_mail').value+' => '+'\'+document.getElementById(\''+id + ':cc_name\').innerHTML" id="' + id + ':cc_mail"></span></td>' +
-					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_phone"></span></td>' +		
+					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_phone"></span></td>' +
+					//Para exibir o setor/lotacao do empregado na tabela
+					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_department"></span></td>' +
+//					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_mobile"></span></td>' +
+					'<td style="solid #999; font-weight: normal; font-size: 10px; text-align: left; height: 10px"><span onMouseOver="this.title = \''+Element('cc_send_mail').value+' => '+'\'+document.getElementById(\''+id + ':cc_name\').innerHTML" id="' + id + ':cc_mail"></span></td>' +
 					( ccTree.catalog_perms == 1 ?
 					'<td align="left"><span valign="bottom" id="' + id + ':cc_icon_data"></span></td>':'') +
@@ -2156,7 +2198,9 @@
 					'<img title="'+Element('cc_msg_card_remove').value+'" id="' + id + ':cc_card_remove" style="width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value);" src="templates/default/images/cc_x.png">' : '') +
 					'<input id="' + id + ':cc_id" type="hidden">'+
-					'<input type="hidden" id="' + id + ':cc_photo">' + 
-					'<span id="' + id + ':cc_title" style="display:none"></span>' + 
-					'<span id="' + id + ':cc_alias" style="display:none"></span>' + 
+					'<input type="hidden" id="' + id + ':cc_photo">' +
+					'<span id="' + id + ':cc_title" style="display:none"></span>' +
+					'<span id="' + id + ':cc_alias" style="display:none"></span>' +
+					// Esse campo ï¿œ necessï¿œrio se o contato possui dados no campo cc_company
+					'<span id="' + id + ':cc_company" style="display:none"></span>' +
 					'</td></tr>';
 			}
@@ -2170,5 +2214,5 @@
 					'&nbsp;&nbsp;|&nbsp;&nbsp;'+
 					'<img  title="'+Element('cc_msg_group_remove').value+'" id="' + id + ':cc_card_remove" style="width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value,\'groups\');" src="templates/default/images/cc_x.png">'  +
-					'<input id="' + id + ':cc_id" type="hidden">'+										
+					'<input id="' + id + ':cc_id" type="hidden">'+
 					'</td></tr>';
 			}
@@ -2180,7 +2224,7 @@
 {
 	var pos;
-	
+
 	html_cards = '<div id="divScrollMain" style="overflow:auto;z-index:1"><table width="100%" border="0" cellpadding="0" cellspacing="3">';
-	
+
 	if (ncards > 0)
 	{
@@ -2202,5 +2246,5 @@
 		if((ccTree.catalog_perms & 2) && type != 'groups')
 			html_cards += '<tr><td colspan=4 align="right"><button id="cc_button_tools" value="" type="button" onclick="javascript:removeAllEntries()">Remover Todos</button></td></tr>';
-	}	
+	}
 	else if (CC_max_cards != 0)
 	{
@@ -2222,5 +2266,5 @@
 	html_cards = '<div id="divScrollMain" style="overflow:auto;z-index:1">';
 	html_cards += '<table  border="0" cellpadding="0" cellspacing="' + CC_card_extra + '">';
-	
+
 	if (ncards > 0)
 	{
@@ -2241,5 +2285,5 @@
 		if((ccTree.catalog_perms & 2) && type != 'groups')
 			html_cards += '<tr><td colspan=3 align="right"><button id="cc_button_tools" value="" type="button" onclick="javascript:removeAllEntries()">Remover Todos</button></td></tr>';
-	}	
+	}
 	else if (CC_max_cards != 0)
 	{
@@ -2278,5 +2322,5 @@
 		else if(CC_visual == 'table')
 			drawTable(0);
-			
+
 		setPages(0,0);
 		return;
@@ -2288,6 +2332,6 @@
 		data = unserialize(responseText);
 		if (data[0] == '0')
-		{				
-			Element('cc_type_contact').value = data[1];			
+		{
+			Element('cc_type_contact').value = data[1];
 			CC_npages = 0;
 			CC_actual_page = 1;
@@ -2301,7 +2345,7 @@
 		else
 		Element('cc_type_contact').value = data[10];
-		
-//		Element('cc_debug').innerHTML = responseText;						
-		
+
+//		Element('cc_debug').innerHTML = responseText;
+
 		if (typeof(data) != 'object')
 		{
@@ -2309,9 +2353,9 @@
 			return;
 		}
-		
+
 		if (typeof(data[3]) == 'object')
 		{
 			CC_npages = parseInt(data[0]);
-			CC_actual_page = parseInt(data[1]);			
+			CC_actual_page = parseInt(data[1]);
 			if(CC_visual == 'cards')
 				drawCards(data[3].length, data[10]);
@@ -2321,5 +2365,9 @@
 			populateCards(data, data[10]);
 			setPages(data[0], data[1]);
-			
+
+		}
+		else if (data['error'])
+		{
+			showMessage(data['error']);
 		}
 		else
@@ -2332,4 +2380,20 @@
 	var info = "letter="+letter+"&page="+CC_actual_page+"&ids="+ids;
 	Connector.newRequest('showCards', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_cards_data', 'POST', handler, info);
+}
+
+
+function clearCards()
+{
+	clearLetterSelection();
+	setHeightSpace();
+	setMaxCards(getMaxCards());
+
+	if(CC_visual == 'cards')
+		drawCards(0);
+	else if(CC_visual == 'table')
+		drawTable(0);
+
+	setPages(0,0);
+	return;
 }
 
@@ -2342,5 +2406,5 @@
 	var table_h = Element('cc_panel_table');
 	var cards_h = Element('cc_panel_cards');
-	
+
 	switch (type)
 	{
@@ -2355,14 +2419,14 @@
 			break;
 	}
-	
+
 	CC_visual = type;
 	showCards(getActualLetter(), getActualPage());
 }
 
-function ccSearchUpdate(ids)
+/*function ccSearchUpdate(ids)
 {
 	Element('cc_panel_letters').style.display = 'none';
 	Element('cc_panel_search').style.display  = 'inline';
-	
+
 	if(CC_visual == 'cards')
 		drawCards(0);
@@ -2375,5 +2439,5 @@
 		return;
 	}
-	
+
 	var sIds = serialize(ids);
 
@@ -2383,4 +2447,22 @@
 	}
 	showCards('search', '1', sIds);
+}
+*/
+
+function ccSearchUpdate()
+{
+	Element('cc_panel_letters').style.display = 'none';
+	Element('cc_panel_search').style.display  = 'inline';
+
+	if(CC_visual == 'cards')
+		drawCards(0);
+	else if(CC_visual == 'table')
+		drawTable(0);
+
+	if (CC_actual_letter != 'search')
+	{
+		CC_last_letter = CC_actual_letter;
+	}
+	//showCards('search', '1', sIds);
 }
 
@@ -2399,5 +2481,6 @@
 	Element('cc_panel_search').style.display  = 'none';
 	Element('cc_panel_letters').style.display = 'inline';
-	showCards(CC_last_letter, '1');
+	clearCards();
+	//showCards(CC_last_letter, '1');
 }
 
@@ -2424,26 +2507,40 @@
 	data[3] = Element('cc_qa_phone').value;
 	data[4] = Element('cc_qa_email').value;
+
+	return data;
+}
+
+function sendQuickAdd ()
+{
+	var data = getQuickAdd();
+
+	var str = serialize(data);
+
+	if (!str)
+	{
+		return false;
+	}
+
+	var handler = function (responseText)
+	{
+		setTimeout('updateCards()',100);;
+	}
+
+	resetQuickAdd();
+
+	Connector.newRequest('quickAdd', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=quick_add', 'POST', handler, 'add='+escape(str));
+}
+
 	
-	return data;
-}
-
-function sendQuickAdd ()
-{
-	var data = getQuickAdd();
-	
-	var str = serialize(data);
-
-	if (!str)
-	{
-		return false;
-	}
-
-	var handler = function (responseText)
-	{
-		setTimeout('updateCards()',100);;
-	}
-
-	resetQuickAdd();
-
-	Connector.newRequest('quickAdd', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=quick_add', 'POST', handler, 'add='+escape(str));
-}
+function connectVoip (phoneUser, typePhone){
+	var handler_voip = function (responseText){
+		if(!responseText) {
+			alert("Erro conectando servidor VoIP.");
+		}
+		else{
+			data = unserialize(responseText);
+			alert("Requisitando chamada para o ramal: "+data);
+		}
+	}
+	Connector.newRequest('voip', "../../expressoMail1_2/controller.php?action=expressoMail1_2.functions.callVoipconnect&to="+phoneUser+"&typePhone="+typePhone, 'POST', handler_voip);
+	}
Index: /trunk/contactcenter/js/ccMain.js
===================================================================
--- /trunk/contactcenter/js/ccMain.js	(revision 119)
+++ /trunk/contactcenter/js/ccMain.js	(revision 284)
@@ -1,21 +1,21 @@
-var last_id = 0;	
-
-function openwindow(url){ 	
-	var window_features = 	"scrollbars=yes,resizable=yes,location=no,menubar=no," + 
-						"personalbar=no,status=no,titlebar=no,toolbar=no," + 
-						"screenX=0,screenY=0,top=0,left=0,width=" + 
-						screen.width + ",height=" + screen.height/5*3; 
-			
-	window.open(url,'', window_features); 
+var last_id = 0;
+
+function openwindow(url){
+	var window_features = 	"scrollbars=yes,resizable=yes,location=no,menubar=no," +
+						"personalbar=no,status=no,titlebar=no,toolbar=no," +
+						"screenX=0,screenY=0,top=0,left=0,width=" +
+						screen.width + ",height=" + screen.height/5*3;
+
+	window.open(url,'', window_features);
 }
 
 var Main_pre_load = document.body.onload;
 var ccSearch, ccTree;
-var Main_load = function () 
-	{ 	
+var Main_load = function ()
+	{
 		Connector.setProgressBox(Element('cc_loading'), true);
-		Connector.setProgressHolder(Element('cc_loading_inner'));		
+		Connector.setProgressHolder(Element('cc_loading_inner'));
 		/* Associate the Quick Add Button with the Plugin */
-					
+
 
 		/* Create the Search Object */
@@ -37,10 +37,11 @@
 		ccSearch.DOMresult.style.visibility = 'hidden';
 		ccSearch.onSearchFinish = ccSearchUpdate;
-			
+
 		Connector.setProgressBox(Element('cc_loading'), true);
 		Connector.setProgressHolder(Element('cc_loading_inner'));
-			
+
 		/* Create the Tree Object */
-		ccTree = new ccCatalogTree({name: 'ccTree', id_destination: 'cc_tree', afterSetCatalog: 'ccSearchHidePanel(); updateCards()'});
+		//ccTree = new ccCatalogTree({name: 'ccTree', id_destination: 'cc_tree', afterSetCatalog: 'ccSearchHidePanel(); updateCards()'});
+		ccTree = new ccCatalogTree({name: 'ccTree', id_destination: 'cc_tree', afterSetCatalog: 'ccSearchHidePanel(); clearCards();'});
 
 		ccTree.Connector = Connector;
@@ -64,62 +65,62 @@
 	var _timeout = '';
 	var menu = function () {
-		 
+
 	 if(! this.menuStarted)
 		this.menuStarted = true;
-		
+
 		submenu = [];
 		textmenu = [];
-			
+
 		textmenu[0] = ["cc_msg_contact_qa","cc_msg_contact_full","cc_msg_group"]
-		textmenu[1] = ["cc_quick_add", "cc_full_add", "cc_add_group"];		
+		textmenu[1] = ["cc_quick_add", "cc_full_add", "cc_add_group"];
 		function show(){
 			clearTimeout(_timeout);
 			button = document.getElementById("cc_button_new");
-				
-			this.style.top = 19 + findPosY(button) + "px"; 
-			this.style.visibility='visible'; 
+
+			this.style.top = 19 + findPosY(button) + "px";
+			this.style.visibility='visible';
 		}
 		function hide(){ _timeout = setTimeout("menu.style.visibility='hidden';",200); };
-			
+
 		if(document.getElementById) {
 			menu = document.getElementById("Layer1");
-				
+
 			for (i=0; i< textmenu[0].length; i++) {
 				textmenu[0][i] = "<span onclick= 'menu.onmouseout();'>" + document.getElementById(textmenu[0][i]).value + "</span><br>";
-				submenu[i] = document.createElement("DIV");				
+				submenu[i] = document.createElement("DIV");
 				submenu[i].innerHTML = textmenu[0][i];
 				submenu[i].id = textmenu[1][i];
 				submenu[i].onmouseover = function () {this.style.backgroundColor = 'LIGHTYELLOW';this.style.color = 'DARKBLUE';};
-				submenu[i].onmouseout   = function () {  this.style.backgroundColor = '#DCDCDC'; this.style.color = '#006699';};					
+				submenu[i].onmouseout   = function () {  this.style.backgroundColor = '#DCDCDC'; this.style.color = '#006699';};
 				submenu[i].setAttribute("className", "special");
 				submenu[i].setAttribute("class", "special");
-				submenu[i].style.padding = "5px";					  
+				submenu[i].style.padding = "5px";
 				menu.appendChild(submenu[i]);
-			}			
-				
+			}
+
 			menu.onmouseover = show;
 			menu.onmouseout = hide;
 		}
-	 		
+
 		ccQuickAdd.associateAsButton(Element('cc_quick_add'));
 		ccAddGroup.associateAsButton(Element('cc_add_group'));
 		document.getElementById("cc_full_add").onclick= newContact;
-			 
-			
+
+
 		ccQuickAdd.afterSave = function ()
 		{
 			updateCards();
-		}			
-			
-		ccAddGroup.load = function () 
-		{				
-			editGroup();			
-		}
-			
+		}
+
+		ccAddGroup.load = function ()
+		{
+			editGroup();
+		}
+
 		ccAddGroup.afterSave = function ()
 		{
 			updateCards();
 		}
-			
+
 		return true;
 	}
@@ -127,17 +128,17 @@
 	if (is_ie)
 	{
-			
+
 		document.body.onload = function (e)
-		{ 			
-			Main_pre_load();								
-			Main_load();					
-								
+		{
+			Main_pre_load();
+			Main_load();
+
 		}
 	}
 	else
-	{		
-		Main_load();	
-			
-	}	
+	{
+		Main_load();
+
+	}
 
 // BEGIN: FUNCTION RESIZE WINDOW
@@ -156,19 +157,19 @@
 showBar = __showBar;
 hideBar = __hideBar;
-	
+
 var _onResize	= window.onresize;
 window.onresize = resizeWindow;
 var defaultHeight = 0;
 function setDefaultHeight(){
-	
+
 	var bar = Element("toolbar");
 	var offset = 0;
-	if(bar.style.visibility != 'hidden') 
-		offset = (bar.offsetHeight ? bar.offsetHeight :  bar.clientHeight);	
+	if(bar.style.visibility != 'hidden')
+		offset = (bar.offsetHeight ? bar.offsetHeight :  bar.clientHeight);
 
 	var screenHeight = document.body.clientHeight ? document.body.clientHeight : document.body.offsetHeight;
-	defaultHeight = screenHeight - offset;	
-	Element("cc_tree").style.height 		= defaultHeight - 68;	
-	Element("cc_left_main").style.height 	= defaultHeight - 68;	
+	defaultHeight = screenHeight - offset;
+	Element("cc_tree").style.height 		= defaultHeight - 68;
+	Element("cc_left_main").style.height 	= defaultHeight - 68;
 }
 
@@ -176,5 +177,5 @@
 	setDefaultHeight();
 	if(Element("divScrollMain"))
-		Element("divScrollMain").style.height 	= defaultHeight - 108;	
+		Element("divScrollMain").style.height 	= defaultHeight - 108;
 	if (!is_ie)
 		Element('tableDivAppbox').width = '100%';
@@ -184,10 +185,4 @@
 setDefaultHeight();
 Element('cc_main').style.height = defaultHeight;
-var lang_warn_firefox = Element('cc_msg_warn_firefox');
-var lang_firefox_msg1 = Element('cc_msg_firefox_half1');
-var lang_firefox_msg2 = Element('cc_msg_firefox_half2');
-var lang_install_now = Element('cc_msg_install_now');
-var lang_install_new_firefox = Element('cc_msg_install_new_firefox');
-var lang_close = Element('cc_msg_close');
 function buildWarningMsg(_version) {
 	var screenWidth = document.body.clientWidth ? document.body.clientWidth: document.body.offsetWidth;
@@ -196,11 +191,11 @@
 	"border:1px solid black;left:"+(screenWidth - 330)+";top:10px;width:300px;padding:10px;"+
 	(document.body.clientWidth ? "-moz-border-radius: 9px 9px 9px 9px;'>" : "")+
-	    "<font color='RED' size='2'>"+lang_warn_firefox +  "("+_version+")</font><BR>"+
-	    "<font color='black' size='2'><p style='text-align:justify'>&nbsp;"+lang_firefox_msg1+
-	    lang_firefox_msg2 + ".</p></font><div style='width:100%' align='center'>"+
-	    "<a title='"+lang_install_now+"' href='http://br.mozdev.org/firefox/download.html' target='_blank'>"+lang_install_new_firefox+ "</a>"+	
+	"<font color='RED' size='2'>Aviso: Versão muito antiga do Firefox ("+_version+")</font><BR>"+
+	"<font color='black' size='2'><p style='text-align:justify'>&nbsp;Para que essa aplicação funcione <u>corretamente</u> "+
+	"é necessário atualizar o seu navegador Firefox para uma versão mais nova (versão > 1.5). "+
+	"Instale agora clicando no link abaixo ou caso queira atualizar mais tarde (não recomendável), clique em Fechar.</p></font><div style='width:100%' align='center'>"+
+	"<a title='Instalar agora' href='http://br.mozdev.org/firefox/download.html' target='_blank'>Instalar nova versão do Firefox</a>"+
 	"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+
-	    "<a title='"+lang_close+"' href='javascript:void(0)' onclick='javascript:myOpacity.toggle()'>"+lang_close+"</a></div>"+
-
+	"<a title='Fechar' href='javascript:void(0)' onclick='javascript:myOpacity.toggle()'>Fechar</a></div>"+
 	"</DIV>";
 
@@ -208,5 +203,5 @@
 
 	myOpacity = new fx.Opacity('warning_msg', {duration: 600});
-	document.getElementById("warning_msg").style.visibility = 'hidden';		
+	document.getElementById("warning_msg").style.visibility = 'hidden';
 	myOpacity.now = 0;
 	setTimeout("myOpacity.toggle()",3000);
